### modified anatolia 

修改anatolia的程序，进行全谱线分析。这个程序分为三部分：


* 第一步计算哈密顿方程的特征值和特征函数求谱峰的峰值高度和出峰位置；
* 第二步利用lorenztion函数计算谱图
* 第三步用bobyqa对化学位移和耦合常数，谱峰高度和线性宽度LB进行拟合。

ANATOLIA: NMR software for spectral analysis of total lineshape

https://analyticalsciencejournals.onlinelibrary.wiley.com/doi/full/10.1002/mrc.4689

### 给定化学位移和耦合常数计算谱线

为啥计算化学位移和薛定谔方程的关系，然后又为啥薛定谔方程与哈密顿矩阵的关系？


如何构建哈密顿矩阵，求解矩阵的特征值和特征函数，如何通过特征函数求解谱峰高度，还有如何筛选出有效的跃迁频率。学会这些就会明白谱线的出峰情况，包括一阶谱峰和高阶谱峰的分析。

参考文献：Harald Gunther, NMR Spectroscopy basic principles, concepts and applications in chemistry, Chapter 6


### determining the Number of signals in NMR Spectrometer

其实就是想判断等价原子的分类情况。对于核磁，有一种磁等价和化学等价。

- 旋转对称互换，等位质子，化学等价
- 镜面对称，対映异位质子，化学等价（手性溶剂中不是）

磁等价，要先满足化学等价，然后与其他任意有磁核的耦合常数也相同。


有相关的文章探讨了分子的对称性，[Simple Algorithms for Determining the Molecular Symmetry](https://pubs.acs.org/doi/10.1021/ci990322q), [Identification of Symmetries in Molecules and Complexes](https://pubs.acs.org/doi/full/10.1021/ci049966a),[New computer program to calculate the symmetry of molecules](https://www.degruyter.com/document/doi/10.2478/BF02475193/html)这篇文章提供了MATLAB算法。

接下来我用SYVA，因为他提供了代码。[SYVA: A program to analyze symmetry of molecules based on vector algebra](https://www.sciencedirect.com/science/article/pii/S0010465517300310)。刚才试了一下，发现这个分子对称和化学等价还有区别。比如苯环的一个位点取代，我们一般认为苯环上其他对称的氢是化学位移相同的，但是如果分子不对称，这样子的条件就不满足SYVA的归类了。

Program：

- 去掉氢原子的结构进行对称性判断，对称的原子上面的氢原子都是化学等价的
- 判断同一个碳原子上面的氢，是否是非对映质子



